org.eclipse.eef

## Enum EEF_FILL_LAYOUT_ORIENTATION

- java.lang.Object
- - java.lang.Enum<EEF_FILL_LAYOUT_ORIENTATION>
  - - org.eclipse.eef.EEF_FILL_LAYOUT_ORIENTATION

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EEF_FILL_LAYOUT_ORIENTATION>, org.eclipse.emf.common.util.Enumerator

    public enum EEF_FILL_LAYOUT_ORIENTATION
    extends java.lang.Enum<EEF_FILL_LAYOUT_ORIENTATION>
    implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'EEF FILL LAYOUT ORIENTATION', and utility methods for working with them.

See Also:
  `EefPackage.getEEF_FILL_LAYOUT_ORIENTATION()`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HORIZONTAL` The 'HORIZONTAL' literal object.
`VERTICAL` The 'VERTICAL' literal object.

### Field Summary

Fields
`static int` `HORIZONTAL_VALUE` The 'HORIZONTAL' literal value.
`static java.util.List<EEF_FILL_LAYOUT_ORIENTATION>` `VALUES` A public read-only list of all the 'EEF FILL LAYOUT ORIENTATION' enumerators.
`static int` `VERTICAL_VALUE` The 'VERTICAL' literal value.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static EEF_FILL_LAYOUT_ORIENTATION` `get(int value)` Returns the 'EEF FILL LAYOUT ORIENTATION' literal with the specified integer value.
`static EEF_FILL_LAYOUT_ORIENTATION` `get(java.lang.String literal)` Returns the 'EEF FILL LAYOUT ORIENTATION' literal with the specified literal value.
`static EEF_FILL_LAYOUT_ORIENTATION` `getByName(java.lang.String name)` Returns the 'EEF FILL LAYOUT ORIENTATION' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static EEF_FILL_LAYOUT_ORIENTATION` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EEF_FILL_LAYOUT_ORIENTATION[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### VERTICAL

    public static final EEF_FILL_LAYOUT_ORIENTATION VERTICAL

The 'VERTICAL' literal object.

See Also:
  `VERTICAL_VALUE`

#### HORIZONTAL

    public static final EEF_FILL_LAYOUT_ORIENTATION HORIZONTAL

The 'HORIZONTAL' literal object.

See Also:
  `HORIZONTAL_VALUE`

### Field Detail

#### VERTICAL_VALUE

    public static final int VERTICAL_VALUE

The 'VERTICAL' literal value.

If the meaning of 'VERTICAL' literal object isn't clear, there really should be more of a description here...

See Also:
  `VERTICAL`, Constant Field Values

#### HORIZONTAL_VALUE

    public static final int HORIZONTAL_VALUE

The 'HORIZONTAL' literal value.

If the meaning of 'HORIZONTAL' literal object isn't clear, there really should be more of a description here...

See Also:
  `HORIZONTAL`, Constant Field Values

#### VALUES

    public static final java.util.List<EEF_FILL_LAYOUT_ORIENTATION> VALUES

A public read-only list of all the 'EEF FILL LAYOUT ORIENTATION' enumerators.

### Method Detail

#### values

    public static EEF_FILL_LAYOUT_ORIENTATION[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EEF_FILL_LAYOUT_ORIENTATION c : EEF_FILL_LAYOUT_ORIENTATION.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EEF_FILL_LAYOUT_ORIENTATION valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### get

    public static EEF_FILL_LAYOUT_ORIENTATION get(java.lang.String literal)

Returns the 'EEF FILL LAYOUT ORIENTATION' literal with the specified literal value.

Parameters:
  `literal` - the literal.
Returns:
  the matching enumerator or `null`.

#### getByName

    public static EEF_FILL_LAYOUT_ORIENTATION getByName(java.lang.String name)

Returns the 'EEF FILL LAYOUT ORIENTATION' literal with the specified name.

Parameters:
  `name` - the name.
Returns:
  the matching enumerator or `null`.

#### get

    public static EEF_FILL_LAYOUT_ORIENTATION get(int value)

Returns the 'EEF FILL LAYOUT ORIENTATION' literal with the specified integer value.

Parameters:
  `value` - the integer value.
Returns:
  the matching enumerator or `null`.

#### getValue

    public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

#### getLiteral

    public java.lang.String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

#### toString

    public java.lang.String toString()

Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `java.lang.Enum<EEF_FILL_LAYOUT_ORIENTATION>`